// Initialize your app
var myApp = new Framework7();

// Export selectors engine
var $$ = Dom7;

// Add view
var mainView = myApp.addView('.view-main', {
    // Because we use fixed-through navbar we can enable dynamic navbar
    dynamicNavbar: true,
    domCache: true
});
//cargar el index al iniciar la app
mainView.router.load({pageName: 'index'});
//cerrar el panel
$$('.panel-close').on('click', function (e) {
    myApp.closePanel();
});
//mostrar imagen en novedades
var myPhotoBrowserPopupDark = myApp.photoBrowser({
    photos : [
        '../img/resolucion.jpg',
    ],
    theme: 'dark',
    type: 'popup',
    lazyPhotoTemplate: '<div class="photo-browser-slide photo-browser-slide-lazy swiper-slide"><div class="preloader {{@root.preloaderColorClass}}">{{#if @root.material}}{{@root.materialPreloaderSvg}}{{/if}}</div><span class="photo-browser-zoom-container"><img data-src="{{js "this.url || this"}}" class="swiper-lazy"></span></div>',
    lazyLoading: true,
});
$$('.pb-popup-dark').on('click', function () {
    myPhotoBrowserPopupDark.open();
});

//calendario
var myCalendar = myApp.calendar({
    input: '#fecha',
    convertToPopover: true,
    dayNames : ['Lunes','Martes','Miercoles','Jueves','Viernes','Sabado','Domingo'],
    dayNamesShort :['Lun','Mar','Mie','Jue','Vie','Sab','Dom'] ,
    monthNames: 	['Enero', 'Febrero', 'Mar<o', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto' , 'Septiembre' , 'Octubre', 'Noviembre', 'Diciembre'],
    dateFormat: 'dd/mm/yyyy'
});

// Callbacks to run specific code for specific pages, for example for About page:
myApp.onPageInit('index', function (page) {
    
});

